API referenceSigner
Signer: read the document
GET
Called by the person who opened a signing link, with its token. Expired or revoked links answer 410.
token*stringSuccess
application/json- response
document*state is a server-derived value from the type state machine. It is never writable directly.
version*Immutable snapshot, including state and type version. The canonicalization profile defines the exact bytes; snapshotDigest is not a digital signature.
consents*array<>events*array<>artifacts*array<>timestamps?array<>olfSeals?array<>photos?array<>profile*stringpades*booleanrole*stringValue in
"sender""carrier""consignee"artifact*The one presentation PDF stored for a document version. The stored bytes are the evidence; rendering is not required to be byte-for-byte repeatable.
curl -X GET 'https://api-ecmr-dev.lucaspiera.com/functions/v1/sign/string'Example Response
{ "document": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", "type": { "name": "string", "version": "string" }, "reference": "string", "currentVersionId": "7d3c5b66-ff6d-477a-9982-96f00519947f", "state": "string", "createdAt": "2019-08-24T14:15:22Z" }, "version": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052", "revision": 1, "type": { "name": "string", "version": "string" }, "state": "string", "data": { "property1": null, "property2": null }, "canonicalizationVersion": "string", "snapshotDigest": "string", "createdAt": "2019-08-24T14:15:22Z" }, "consents": [ { "body": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "documentDigest": "string", "artifactDigest": "string", "role": "sender", "name": "string", "statement": "string", "occurredAt": "2019-08-24T14:15:22Z", "strokes": [ [ { "x": 0, "y": 0 } ] ], "mark": { "kind": "typed", "style": "great-vibes" }, "reservations": "string", "photos": [ { "sha256": "string", "category": "goods", "addedAt": "2019-08-24T14:15:22Z", "mediaType": "image/jpeg", "byteSize": 1 } ], "publicKey": { "property1": null, "property2": null }, "signature": "string" }, "receivedAt": "string", "digest": "string" } ], "events": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7", "name": "string", "payloadDigest": "string", "previousDigest": "string", "eventDigest": "string", "receivedAt": "2019-08-24T14:15:22Z" } ], "artifacts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052", "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7", "kind": "presentation_pdf", "sha256": "string", "byteSize": 1, "renderer": { "property1": null, "property2": null }, "createdAt": "2019-08-24T14:15:22Z" } ], "timestamps": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "subjectKind": "consent", "subjectId": "68460e63-0717-47f9-8fd8-d28f152cb30b", "messageImprint": "string", "tsa": "string", "token": "string", "genTime": "2019-08-24T14:15:22Z", "policy": "string", "serial": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "olfSeals": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ecmrId": "e7dbfa9c-a5c1-4d65-bf43-2606c95e9db9", "position": 1, "role": "SENDER", "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7", "jws": "string", "sha256": "string", "precedingSha256": "string", "alg": "string", "x5tS256": "string", "originUrl": "string", "iat": 0, "sealer": "string", "sealerCompany": "string", "origin": "ours", "receivedAt": "2019-08-24T14:15:22Z", "verifications": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "verifiedAt": "2019-08-24T14:15:22Z", "result": "valid", "reason": "string", "dnsName": "string", "dnsAnswer": [ "string" ], "verifierVersion": "string" } ], "timestamps": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "subjectKind": "olf_seal", "subjectId": "68460e63-0717-47f9-8fd8-d28f152cb30b", "messageImprint": "string", "tsa": "string", "token": "string", "genTime": "2019-08-24T14:15:22Z", "policy": "string", "serial": "string", "createdAt": "2019-08-24T14:15:22Z" } ] } ], "photos": [ { "consentId": "e521cf62-a45f-49c5-8372-94853fffeb55", "sha256": "string", "mediaType": "image/jpeg", "byteSize": 1, "receivedAt": "2019-08-24T14:15:22Z" } ], "profile": "string", "pades": false, "role": "sender", "artifact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052", "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7", "kind": "presentation_pdf", "sha256": "string", "byteSize": 1, "renderer": { "property1": null, "property2": null }, "createdAt": "2019-08-24T14:15:22Z" }}